summaryrefslogtreecommitdiffstats
path: root/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2013-11-04 17:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:57:36 +0200
commit76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch)
tree9b98e6e193c7870cb27ac861394c1c4592850922 /source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild
parent9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff)
downloadcurrent-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz
current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.xz
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013 Slackware 14.1 x86_64 stable is released! It's been another interesting release cycle here at Slackware bringing new features like support for UEFI machines, updated compilers and development tools, the switch from MySQL to MariaDB, and many more improvements throughout the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild')
-rwxr-xr-xsource/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild30
1 files changed, 12 insertions, 18 deletions
diff --git a/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild b/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild
index 2353121ff..338b5edd7 100755
--- a/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild
+++ b/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,7 +20,7 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.4.7.4
+VERSION=0.5.14
ARCH=noarch
BUILD=1
@@ -32,11 +32,8 @@ rm -rf $PKG
mkdir -p $PKG
cd $TMP
rm -rf ttf-indic-fonts-$VERSION
-tar xvf $CWD/ttf-indic-fonts-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/ttf-indic-fonts_$VERSION.tar.xz || exit 1
cd ttf-indic-fonts-$VERSION || exit 1
-# Patch copyright notices so that they do not give inaccurate
-# information about where to find the GPL:
-zcat $CWD/ttf-indic-fonts.copyright.diff.gz | patch -p1 --verbose || exit 1
# I'm very interested in making this a better package, but have a
# long way to go in understanding how all of this works. I know
@@ -64,27 +61,24 @@ find . \
mkdir -p $PKG/usr/share/fonts/TTF/
cp -a */*.ttf $PKG/usr/share/fonts/TTF
-# This is a better Malayalam font:
-cp -a $CWD/Samyak_Malayalam.ttf.bz2 $PKG/usr/share/fonts/TTF
-( cd $PKG/usr/share/fonts/TTF
- bzip2 -d Samyak_Malayalam.ttf.bz2
- chmod 644 Samyak_Malayalam.ttf
- chown root:root Samyak_Malayalam.ttf
+mkdir -p $PKG/etc/fonts/conf.avail
+find . -name "*.conf" -exec cp -a {} $PKG/etc/fonts/conf.avail \;
+
+mkdir -p $PKG/etc/fonts/conf.d
+( cd $PKG/etc/fonts/conf.d
+ for file in ../conf.avail/*.conf ; do
+ ln -sf $file .
+ done
)
-# Remove the old Malayalam font:
-rm -f $PKG/usr/share/fonts/TTF/malayalam.ttf
# Put copyright notices in the docs directory:
mkdir -p $PKG/usr/doc/ttf-indic-fonts-$VERSION
find . -name "*.copyright" -exec cp -a {} $PKG/usr/doc/ttf-indic-fonts-$VERSION \;
-cp -a $CWD/COPYING.bz2 $PKG/usr/doc/ttf-indic-fonts-$VERSION
-cp -a $CWD/Samyak_Malayalam.url $PKG/usr/doc/ttf-indic-fonts-$VERSION
-( cd $PKG/usr/doc/ttf-indic-fonts-$VERSION ; bzip2 -d COPYING.bz2 )
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $TMP/ttf-indic-fonts-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n --prepend $TMP/ttf-indic-fonts-$VERSION-$ARCH-$BUILD.txz